Last Comment Bug 687486 - Throw INVALID_STATE_ERR when dispatching uninitialized events
: Throw INVALID_STATE_ERR when dispatching uninitialized events
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: DOM: Events (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla10
Assigned To: :Ms2ger
:
Mentors:
http://dvcs.w3.org/hg/domcore/raw-fil...
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-19 09:08 PDT by :Ms2ger
Modified: 2011-10-10 09:48 PDT (History)
3 users (show)
Ms2ger: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch v1 (14.55 KB, patch)
2011-09-19 09:08 PDT, :Ms2ger
bugs: review+
Details | Diff | Review

Description :Ms2ger 2011-09-19 09:08:42 PDT
Created attachment 560932 [details] [diff] [review]
Patch v1
Comment 1 Olli Pettay [:smaug] 2011-09-19 11:38:45 PDT
Hmm, yeah, this is against http://dev.w3.org/2006/webapi/DOM-Level-3-Events/html/DOM3-Events.html#events-EventTarget-dispatchEvent of course :/
Comment 2 Anne (:annevk) 2011-09-20 01:16:39 PDT
That's why we filed Last Call comments. They are still pending of course...
Comment 3 Olli Pettay [:smaug] 2011-10-09 03:44:14 PDT
Comment on attachment 560932 [details] [diff] [review]
Patch v1

Well, ok.

Note You need to log in before you can comment on or make changes to this bug.